/**
 * NullFlavor2.java
 *
 * File generated from the medication2::NullFlavor2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NullFlavor2.
 *
 * 
 */

@XmlType(name = "NullFlavor")
@XmlEnum
@XmlRootElement(name = "NullFlavor2")
public enum NullFlavor2 {
	@XmlEnumValue("NP")
	NP("NP"),
	@XmlEnumValue("NI")
	NI("NI"),
	@XmlEnumValue("MSK")
	MSK("MSK"),
	@XmlEnumValue("NA")
	NA("NA"),
	@XmlEnumValue("OTH")
	OTH("OTH"),
	@XmlEnumValue("NINF")
	NINF("NINF"),
	@XmlEnumValue("PINF")
	PINF("PINF"),
	@XmlEnumValue("UNK")
	UNK("UNK"),
	@XmlEnumValue("NASK")
	NASK("NASK"),
	@XmlEnumValue("TRC")
	TRC("TRC"),
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    NullFlavor2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static NullFlavor2 fromValue(String v) {
        for (NullFlavor2 c: NullFlavor2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
